<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="15" short-name="bricks-in-the-wall" url="https://polygon.codeforces.com/p0NRx2B/tourist/bricks-in-the-wall">
    <names>
        <name language="english" value="Bricks in the Wall"/>
        <name language="russian" value="Bricks in the Wall"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="russian" mathjax="true" path="statements/russian/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement charset="UTF-8" language="russian" mathjax="true" path="statements/.html/russian/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
        <statement language="russian" path="statements/.pdf/russian/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>536870912</memory-limit>
            <test-count>56</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="gen_random -t=10000 -maxn=10 -maxm=10 -p=0.5" method="generated"/>
                <test cmd="gen_random -t=10000 -maxn=10 -maxm=10 -p=0.1" method="generated"/>
                <test cmd="gen_random -t=10000 -maxn=10 -maxm=10 -p=0.05" method="generated"/>
                <test cmd="gen_random -t=10000 -maxn=10 -maxm=10 -p=0.9" method="generated"/>
                <test cmd="gen_random -t=1000 -maxn=30 -maxm=30 -p=0.5" method="generated"/>
                <test cmd="gen_random -t=1000 -maxn=5 -maxm=200 -p=0.5" method="generated"/>
                <test cmd="gen_random -t=1000 -maxn=200 -maxm=5 -p=0.5" method="generated"/>
                <test cmd="gen_random -t=100 -maxn=100 -maxm=100 -p=0.5" method="generated"/>
                <test cmd="gen_random -t=100 -maxn=100 -maxm=100 -p=0.1" method="generated"/>
                <test cmd="gen_random -t=100 -maxn=100 -maxm=100 -p=0.01" method="generated"/>
                <test cmd="gen_random -t=10 -maxn=100 -maxm=1000 -p=0.1" method="generated"/>
                <test cmd="gen_random -t=10 -maxn=100 -maxm=1000 -p=0.5" method="generated"/>
                <test cmd="gen_random -t=10 -maxn=1000 -maxm=100 -p=0.1" method="generated"/>
                <test cmd="gen_random -t=10 -maxn=1000 -maxm=100 -p=0.5" method="generated"/>
                <test cmd="gen_random -t=10 -maxn=300 -maxm=300 -p=0.1 -add_stripes=1" method="generated"/>
                <test cmd="gen_random -t=10 -maxn=300 -maxm=300 -p=0.5 -add_stripes=4" method="generated"/>
                <test cmd="gen_random -t=10 -maxn=10 -maxm=10000 -p=0.5 -add_stripes=100" method="generated"/>
                <test cmd="gen_random -t=10 -maxn=10000 -maxm=10 -p=0.5 -add_stripes=100" method="generated"/>
                <test cmd="gen_random -t=10 -maxn=10000 -maxm=10 -p=0.9" method="generated"/>
                <test cmd="gen_random -t=10 -maxn=10000 -maxm=10 -p=0.99" method="generated"/>
                <test cmd="gen_random -t=1 -n=1000 -m=1000 -p=0.9" method="generated"/>
                <test cmd="gen_random -t=1 -n=100000 -m=10 -p=0.9" method="generated"/>
                <test cmd="gen_random -t=1 -n=10 -m=10000 -p=0.9" method="generated"/>
                <test cmd="gen_random -t=1 -n=1000000 -m=1 -p=0.9" method="generated"/>
                <test cmd="gen_random -t=1 -n=1 -m=1000000 -p=0.9" method="generated"/>
                <test cmd="gen_random -t=1 -n=1000000 -m=1 -p=0" method="generated"/>
                <test cmd="gen_random -t=1 -n=1 -m=1000000 -p=0" method="generated"/>
                <test cmd="gen_special 1" method="generated"/>
                <test cmd="gen_special 2" method="generated"/>
                <test cmd="gen_special 3" method="generated"/>
                <test cmd="gen_special 4" method="generated"/>
                <test cmd="gen_random -t=1 -n=1000 -m=1000 -p=1" method="generated"/>
                <test cmd="gen_random -t=1 -n=100000 -m=10 -p=1" method="generated"/>
                <test cmd="gen_random -t=1 -n=10 -m=10000 -p=1" method="generated"/>
                <test cmd="gen_random -t=1 -n=1000000 -m=1 -p=1" method="generated"/>
                <test cmd="gen_random -t=1 -n=1 -m=1000000 -p=1" method="generated"/>
                <test cmd="gen_random -t=1 -n=1000000 -m=1 -p=0.9999" method="generated"/>
                <test cmd="gen_random -t=1 -n=1 -m=1000000 -p=0.9999" method="generated"/>
                <test cmd="gen_random -t=1 -n=1000 -m=1000 -p=0.999" method="generated"/>
                <test cmd="gen_random -t=1 -n=100000 -m=10 -p=0.999" method="generated"/>
                <test cmd="gen_random -t=1 -n=10 -m=10000 -p=0.999" method="generated"/>
                <test cmd="gen_random -t=1 -n=500000 -m=2 -p=1" method="generated"/>
                <test cmd="gen_random -t=1 -n=2 -m=500000 -p=1" method="generated"/>
                <test cmd="gen_random -t=1 -n=500000 -m=2 -p=0.99999" method="generated"/>
                <test cmd="gen_random -t=1 -n=2 -m=500000 -p=0.99999" method="generated"/>
                <test cmd="gen_random -t=1 -n=500000 -m=2 -p=0.9999" method="generated"/>
                <test cmd="gen_random -t=1 -n=2 -m=500000 -p=0.9999" method="generated"/>
                <test cmd="gen_random -t=1 -n=500000 -m=2 -p=0.999" method="generated"/>
                <test cmd="gen_random -t=1 -n=2 -m=500000 -p=0.999" method="generated"/>
                <test cmd="gen_random -t=1 -n=500000 -m=2 -p=0.99" method="generated"/>
                <test cmd="gen_random -t=1 -n=2 -m=500000 -p=0.99" method="generated"/>
                <test cmd="gen_random -t=1 -n=500000 -m=2 -p=0.9" method="generated"/>
                <test cmd="gen_random -t=1 -n=2 -m=500000 -p=0.9" method="generated"/>
                <test cmd="gen_random -t=1 -n=500000 -m=2 -p=0.1" method="generated"/>
                <test cmd="gen_random -t=1 -n=2 -m=500000 -p=0.1" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/gen_random.cpp" type="cpp.g++17"/>
                <binary path="files/gen_random.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_special.cpp" type="cpp.g++17"/>
                <binary path="files/gen_special.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validate.cpp" type="cpp.g++17"/>
                <binary path="files/validate.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::ncmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validate.cpp" type="cpp.g++17"/>
                <binary path="files/validate.exe" type="exe.win32"/>
                <testset>
                    <test-count>0</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests/>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/bricks_egor.rs" type="rust"/>
                <binary path="solutions/bricks_egor.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/bricks_egor_wa.rs" type="rust"/>
                <binary path="solutions/bricks_egor_wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/sol_nb.cpp" type="cpp.g++17"/>
                <binary path="solutions/sol_nb.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/sol_nb_cases.cpp" type="cpp.g++17"/>
                <binary path="solutions/sol_nb_cases.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/sol_nb_greedy_wa.cpp" type="cpp.g++17"/>
                <binary path="solutions/sol_nb_greedy_wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/sol_nb_greedy_wa2.cpp" type="cpp.g++17"/>
                <binary path="solutions/sol_nb_greedy_wa2.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/sol_nb_greedy_wa3.cpp" type="cpp.g++17"/>
                <binary path="solutions/sol_nb_greedy_wa3.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/sol_nb_greedy_wa4.cpp" type="cpp.g++17"/>
                <binary path="solutions/sol_nb_greedy_wa4.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="grid"/>
    </tags>
</problem>
